Class | Sequel::JDBC::H2::Dataset
In: | lib/sequel/adapters/jdbc/h2.rb
Parent: | JDBC::Dataset

Dataset class for H2 datasets accessed via JDBC.

### Methods

complex_expression_sql requires_sql_standard_datetimes? supports_is_true? supports_join_using?

### Constants

SELECT_CLAUSE_METHODS | = | clause_methods(:select, %w'distinct columns from join where group having compounds order limit')

### Public Instance methods

complex_expression_sql(op, args)

Work around H2‘s lack of a case insensitive LIKE operator

[Source]

        # File lib/sequel/adapters/jdbc/h2.rb, line 80
    80:         def complex_expression_sql(op, args)
    81:           case op
    82:           when :ILIKE
    83:             super(:LIKE, [SQL::PlaceholderLiteralString.new("CAST(? AS VARCHAR_IGNORECASE)", [args.at(0)]), args.at(1)])
    84:           when "NOT ILIKE""NOT ILIKE"
    85:             super("NOT LIKE""NOT LIKE", [SQL::PlaceholderLiteralString.new("CAST(? AS VARCHAR_IGNORECASE)", [args.at(0)]), args.at(1)])
    86:           else
    87:             super(op, args)
    88:           end
    89:         end

requires_sql_standard_datetimes?()

H2 requires SQL standard datetimes

[Source]

        # File lib/sequel/adapters/jdbc/h2.rb, line 92
    92:         def requires_sql_standard_datetimes?
    93:           true
    94:         end

supports_is_true?()

H2 doesn‘t support IS TRUE

[Source]

        # File lib/sequel/adapters/jdbc/h2.rb, line 97
    97:         def supports_is_true?
    98:           false
    99:         end

supports_join_using?()

H2 doesn‘t support JOIN USING

[Source]

         # File lib/sequel/adapters/jdbc/h2.rb, line 102
    102:         def supports_join_using?
    103:           false
    104:         end

[Validate]